# spec file for package mediainfo
#
# Copyright (c) 2016 Packman Team <packman@links2linux.de>
# Copyright (c) 2007-2011 The Packman Team
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#


Name:           mediainfo
Version:        0.7.89
Release:        1.2
Summary:        Supplies technical and tag information about a video or audio file
License:        GPL-2.0+
Group:          Productivity/Multimedia/Other
Url:            http://mediainfo.sourceforge.net/
Source0:        https://sourceforge.net/projects/mediainfo/files/source/mediainfo/%{version}/mediainfo_%{version}.tar.xz
Source90:       %{name}-rpmlintrc
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  kdelibs4-core
%if 0%{?suse_version} >= 1315
BuildRequires:  kf5-filesystem
%endif
BuildRequires:  libmediainfo-devel = %{version}
BuildRequires:  libtool
BuildRequires:  libzen-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  zlib-devel
Provides:       MediaInfo = 0.7.7.8
Obsoletes:      MediaInfo < 0.7.7.8
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} > 1130
BuildRequires:  wxWidgets-devel >= 2.6.0
%else
BuildRequires:  wxGTK-devel >= 2.6.0
%endif

%description
MediaInfo supplies technical and tag information about a video or
audio file.

What information can I get from MediaInfo?
* General: title, author, director, album, track number, date, duration...
* Video: codec, aspect, fps, bitrate...
* Audio: codec, sample rate, channels, language, bitrate...
* Text: language of subtitle
* Chapters: number of chapters, list of chapters

DivX, XviD, H263, H.263, H264, x264, ASP, AVC, iTunes, MPEG-1,
MPEG1, MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V, QuickTime,
RealVideo, RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2, MSMPEG4v3,
VOB, DVD, WMA, VMW, ASF, 3GP, 3GPP, 3GP2

What format (container) does MediaInfo support?
* Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1,
  MPEG-2, MPEG-4, DVD (VOB) (Codecs: DivX, XviD, MSMPEG4, ASP,
  H.264, AVC...)
* Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
* Subtitles: SRT, SSA, ASS, SAMI

%package gui
Summary:        GUI for mediainfo
Group:          Productivity/Multimedia/Other
Provides:       MediaInfo-gui = 0.7.7.8
Obsoletes:      MediaInfo-gui < 0.7.7.8

%description gui
This package contains a Frontend for mediainfo.

MediaInfo supplies technical and tag information about a video or
audio file.

What information can I get from MediaInfo?
* General: title, author, director, album, track number, date, duration...
* Video: codec, aspect, fps, bitrate...
* Audio: codec, sample rate, channels, language, bitrate...
* Text: language of subtitle
* Chapters: number of chapters, list of chapters

DivX, XviD, H263, H.263, H264, x264, ASP, AVC, iTunes, MPEG-1,
MPEG1, MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V, QuickTime,
RealVideo, RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2, MSMPEG4v3,
VOB, DVD, WMA, VMW, ASF, 3GP, 3GPP, 3GP2

What format (container) does MediaInfo support?
* Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1,
  MPEG-2, MPEG-4, DVD (VOB) (Codecs: DivX, XviDlibzen.so.0, MSMPEG4, ASP,
  H.264, AVC...)
* Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
* Subtitles: SRT, SSA, ASS, SAMI

%if 0%{?suse_version} <= 1110
%package konqueror
Summary:        Konqueror extension for mediainfo-gui
Group:          Productivity/Multimedia/Other
Requires:       %{name}-gui

%description konqueror
Konqueror context menu extension for mediainfo-gui.
%endif

%package -n kde4-mediainfo
Summary:        KDE4 extension for mediainfo-gui
Group:          Productivity/Multimedia/Other
Requires:       %{name}-gui

%description -n kde4-mediainfo
KDE4 context menu extension for mediainfo-gui.

%if 0%{?suse_version} >= 1315
%package -n kf5-mediainfo
Summary:        KF5 extension for mediainfo-gui
Group:          Productivity/Multimedia/Other
Requires:       %{name}-gui

%description -n kf5-mediainfo
KF5 context menu extension for mediainfo-gui.
%endif

%prep
%setup -q -n MediaInfo
sed -i 's/\r$//' *.html *.txt Release/*.txt
chmod 0644 *.html *.txt Release/*.txt

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"

# build CLI
pushd Project/GNU/CLI
    chmod +x autogen.sh
    ./autogen.sh
    %configure

    make %{?_smp_mflags}
popd

# now build GUI
pushd Project/GNU/GUI
    chmod +x autogen.sh
    ./autogen.sh
    %configure
    make %{?_smp_mflags}
popd

%install
pushd Project/GNU/CLI
%make_install
popd

pushd Project/GNU/GUI
%make_install
popd

# icon
install -dm 755 %{buildroot}%{_datadir}/icons/hicolor/128x128/apps
install -m 644 Source/Resource/Image/MediaInfo.png \
    %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
install -dm 755 %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
install -m 644 Source/Resource/Image/MediaInfo.svg \
    %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 Source/Resource/Image/MediaInfo.png \
    %{buildroot}%{_datadir}/pixmaps/mediainfo-gui.png

# menu-entry
install -dm 755 %{buildroot}/%{_datadir}/applications
install -m 644 Project/GNU/GUI/mediainfo-gui.desktop \
    %{buildroot}/%{_datadir}/applications
%suse_update_desktop_file -n %{name}-gui AudioVideo AudioVideoEditing

%if 0%{?suse_version} <= 1110
# hardcoded to avoid kde-config --prefix ==> /opt/kde3
install -dm 755 %{buildroot}/opt/kde3/share/apps/konqueror/servicemenus
install -m 644 Project/GNU/GUI/mediainfo-gui.kde3.desktop \
    %{buildroot}/opt/kde3/share/apps/konqueror/servicemenus/mediainfo-gui.desktop
%endif

# hardcoded to avoid kde4-config --prefix ==> /usr
install -dm 755 %{buildroot}/%{_datadir}/kde4/services/ServiceMenus/
install -m 644 Project/GNU/GUI/mediainfo-gui.kde4.desktop \
    %{buildroot}/%{_datadir}/kde4/services/ServiceMenus/mediainfo-gui.desktop
%if 0%{?suse_version} >= 1315
mkdir -p %{buildroot}/%{_kf5_servicesdir}/ServiceMenus
install -m 644 Project/GNU/GUI/mediainfo-gui.kde4.desktop \
     %{buildroot}/%{_kf5_servicesdir}/ServiceMenus/mediainfo-gui.desktop
%endif

%kde_post_install

# these files are just ridicully large:
gzip License.html
gzip History_*.txt
%fdupes -s %{buildroot}/%{_datadir}

%files
%defattr(-,root,root,-)
%doc Release/ReadMe_CLI_Linux.txt
%doc License.html.gz History_CLI.txt.gz
%{_bindir}/mediainfo

%files gui
%defattr(-,root,root,-)
%doc Release/ReadMe_GUI_Linux.txt
%doc License.html.gz History_GUI.txt.gz
%{_bindir}/mediainfo-gui
%if 0%{?suse_version} < 1320
%dir %_datadir/appdata/
%endif
%{_datadir}/appdata/mediainfo-gui.appdata.xml
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/*/apps/*.svg

%if 0%{?suse_version} <= 1110
%files konqueror
%defattr(-,root,root,-)
%dir /opt/kde3
%dir /opt/kde3/share
%dir /opt/kde3/share/apps
%dir /opt/kde3/share/apps/konqueror
%dir /opt/kde3/share/apps/konqueror/servicemenus
/opt/kde3/share/apps/konqueror/servicemenus/*.desktop
%endif

%files -n kde4-mediainfo
%defattr(-,root,root,-)
%dir %{_datadir}/kde4
%dir %{_datadir}/kde4/services
%dir %{_datadir}/kde4/services/ServiceMenus
%{_datadir}/kde4/services/ServiceMenus/*.desktop

%if 0%{?suse_version} >= 1315
%files -n kf5-mediainfo
%defattr(-,root,root,-)
%dir %{_kf5_servicesdir}
%dir %{_kf5_servicesdir}/ServiceMenus
%{_kf5_servicesdir}/ServiceMenus/*.desktop
%endif

%changelog
* Thu Oct  6 2016 aloisio@gmx.com
- Update to version 0.7.89
  * too many changes to list, see included History_*.txt
- Added kf5-mediainfo
- Spec cleanup
* Thu Mar 27 2014 i@margueirte.su
- update version 0.7.67
  * MXF: duplicate display of some time code streams in ancillary data
  * B814, AAC: Wrong detection of audioObjectType==29
* Thu Feb 28 2013 fisiu@opensuse.org
- update to 0.7.62
  * see History_CLI.txt and History_GUI.txt for details.
* Thu Oct  4 2012 i@marguerite.su  
- update to 0.7.60
  * see History_CLI.txt and History_GUI.txt for details.
* Sat May 19 2012 seife+obs@b1-systems.com
- add autoconf/automake/libtool to BuildRequires to fix >12.1 build
* Mon Oct 24 2011 pascal.bleser@opensuse.org
- update to 0.7.50
* Wed Mar  9 2011 pascal.bleser@opensuse.org
- update to 0.7.42
* Sat Nov 13 2010 pascal.bleser@opensuse.org
- update to 0.7.36
* Sun Sep 19 2010 pascal.bleser@opensuse.org
- update to 0.7.35
* Sat Jul 31 2010 toni@links2linux.de
- update to 0.7.34
* Mon May  3 2010 toni@links2linux.de
- update to 0.7.32
* Fri Apr 16 2010 toni@links2linux.de
- update to 0.7.31
* Fri Mar 26 2010 toni@links2linux.de
- update to 0.7.30
* Tue Mar  9 2010 toni@links2linux.de
- update to 0.7.29
* Sun Feb 21 2010 toni@links2linux.de
- update to 0.7.28
* Mon Jan 11 2010 toni@links2linux.de
- update to 0.7.27
* Wed Dec 23 2009 toni@links2linux.de
- update to 0.7.26
* Fri Nov 20 2009 toni@links2linux.de
- update to 0.7.25
* Fri Oct 30 2009 toni@links2linux.de
- update to 0.7.24
* Tue Oct 27 2009 toni@links2linux.de
- update to 0.7.23
* Tue Oct 13 2009 toni@links2linux.de
- update to 0.7.19
* Mon Jun 22 2009 toni@links2linux.de
- update to 0.7.17
* Wed May 20 2009 toni@links2linux.de
- update to 0.7.16
* Thu Apr 30 2009 toni@links2linux.de
- update to 0.7.15
* Fri Apr 17 2009 toni@links2linux.de
- update to 0.7.14
* Sun Apr  5 2009 toni@links2linux.de
- update to 0.7.13
* Sat Apr  4 2009 toni@links2linux.de
- redowngrade to 0.7.12
* Fri Apr  3 2009 toni@links2linux.de
- update to 0.7.13
* Fri Mar 20 2009 toni@links2linux.de
- update to 0.7.12
* Fri Feb 13 2009 toni@links2linux.de
- update to 0.7.11
- added sub-package kde4-mediainfo
* Fri Jan 30 2009 toni@links2linux.de
- update to 0.7.10
* Fri Jan 23 2009 toni@links2linux.de
- update to 0.7.9
* Wed Dec 10 2008 toni@links2linux.de
- added defattr in subpackage konqueror
- corrected icon-name for desktop-entry
* Tue Dec  9 2008 toni@links2linux.de
- update to 0.7.8
- added sub-package for konqueror extension
* Tue Nov 18 2008 toni@links2linux.de
- changed package layout, reflecting new upstream tar-balls
- rebuild using libzen(-devel) and libmediainfo(-devel)
- renamed package to mediainfo (obsoletes MediaInfo)
- added subpackage gui (obsoletes MediaInfo-gui)
- using desktop file from tarball (includes french localisation)
* Mon Nov 10 2008 toni@links2linux.de
- update to 0.7.7.8
* Fri Oct 17 2008 toni@links2linux.de
- update to 0.7.7.7
* Fri Sep 12 2008 toni@links2linux.de
- update to 0.7.7.6
* Fri Aug 22 2008 toni@links2linux.de
- update to 0.7.7.5
* Fri Jul 11 2008 toni@links2linux.de
- update to 0.7.7.4
* Thu Jun 26 2008 toni@links2linux.de
- update to 0.7.7.3
* Fri Jun 13 2008 toni@links2linux.de
- update to 0.7.7.2
* Fri May 30 2008 toni@links2linux.de
- update to 0.7.7.1
* Fri May 16 2008 toni@links2linux.de
- update to 0.7.7.0
* Mon Apr 28 2008 toni@links2linux.de
- update to 0.7.6.4
* Sat Apr 12 2008 toni@links2linux.de
- update to 0.7.6.3
* Fri Mar 28 2008 toni@links2linux.de
- update to 0.7.6.2
* Fri Mar 14 2008 toni@links2linux.de
- update to 0.7.6.1
* Fri Feb 29 2008 toni@links2linux.de
- update to 0.7.6.0
* Fri Feb  8 2008 toni@links2linux.de
- update to 0.7.5.9
* Fri Feb  1 2008 toni@links2linux.de
- update to 0.7.5.8
* Wed Jan  9 2008 toni@links2linux.de
- update to 0.7.5.7
* Mon Dec 10 2007 toni@links2linux.de
- update to 0.7.5.6
* Fri Nov  9 2007 toni@links2linux.de
- update to 0.7.5.5
- libMatroska and libEbml are no more used
- The script now look for /usr/lib/libz.a and /usr/include/zlib.h before
  downloading at the official zlib website.
  - -> If you have the development package of zlib, no more downloads!
* Sat Nov  3 2007 toni@links2linux.de
- update to 0.7.5.4
* Fri Nov  2 2007 toni@links2linux.de
- initial build 0.7.5.3
